<template>
    <v-app>
        <v-navigation-drawer app v-model="navigationDrawer">
            <v-toolbar v-if="$parent.$data.usersName !== null" flat class="transparent">
                <v-list class="pa-0">
                    <v-list-tile avatar>

                        <v-list-tile-content>
                            <v-list-tile-title>{{ $parent.$data.usersName }}</v-list-tile-title>
                        </v-list-tile-content>
                    </v-list-tile>
                </v-list>
            </v-toolbar>

            <v-list class="pt-0" dense>
                <v-divider></v-divider>

                <v-list-tile @click="$router.push({name: 'questionnaire'})">
                    <v-list-tile-action>
                        <v-icon>question_answer</v-icon>
                    </v-list-tile-action>

                    <v-list-tile-content>
                        <v-list-tile-title>Fragebogen</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>

                <v-list-tile @click="$router.push({name: 'results'})">
                    <v-list-tile-action>
                        <v-icon>assessment</v-icon>
                    </v-list-tile-action>

                    <v-list-tile-content>
                        <v-list-tile-title>Auswertung</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>

                <v-list-tile @click="$router.push({name: 'datacheck'})">
                    <v-list-tile-action>
                        <v-icon>find_in_page</v-icon>
                    </v-list-tile-action>

                    <v-list-tile-content>
                        <v-list-tile-title>Daten-Check</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>


                <v-list-tile @click="logout">
                    <v-list-tile-action>
                        <v-icon>exit_to_app</v-icon>
                    </v-list-tile-action>

                    <v-list-tile-content>
                        <v-list-tile-title>Logout</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
            </v-list>
        </v-navigation-drawer>
        <v-toolbar app>
            <v-toolbar-side-icon
                    v-if="$parent.$data.isAuthenticated"
                    @click.stop="navigationDrawer = !navigationDrawer"
            ></v-toolbar-side-icon>
            <v-toolbar-title>{{ toolbarTitle }}</v-toolbar-title>
        </v-toolbar>
        <v-content>
            <v-container fluid>
                <router-view
                        @updateToolbarTitle="updateToolbarTitle"
                ></router-view>
            </v-container>
        </v-content>
        <v-footer app></v-footer>
    </v-app>
</template>

<script>
    import {auth} from './main';

	export default {
		name: 'app',
        data: () => ({
            navigationDrawer: false,
            toolbarTitle: 'Title',
            showNavigation: false,
            fullName: '',
        }),
        methods: {
			logout() {
				auth.signOut();
				this.navigationDrawer = false;
				this.$router.push({name: 'login'});
            },

			updateToolbarTitle(newTitle) {
				this.toolbarTitle = newTitle;
            }
        }
	}
</script>
